playMaker

Author Topic: [SOLVED] Pun classic/pun 2 errors, ecosystem search issue.  (Read 387 times)

Raika

  • Playmaker Newbie
  • *
  • Posts: 30
    • View Profile
[SOLVED] Pun classic/pun 2 errors, ecosystem search issue.
« on: September 30, 2019, 08:59:56 AM »
After importing PUN 2 from asset store and Play Maker Pun2 from ecosystem i get those errors:
Quote
Assets\PlayMaker PUN 2\Editor\PlayMakerPhotonWizard.cs(39,13): error CS0103: The name 'RegisterOrigin' does not exist in the current context

Assets\PlayMaker PUN 2\Editor\PlayMakerPhotonWizard.cs(39,45): error CS0117: 'AccountService' does not contain a definition for 'Origin'

Assets\PlayMaker PUN 2\Editor\PlayMakerPhotonWizard.cs(84,13): error CS0103: The name 'RegisterOrigin' does not exist in the current context

Assets\PlayMaker PUN 2\Editor\PlayMakerPhotonWizard.cs(84,45): error CS0117: 'AccountService' does not contain a definition for 'Origin'
I found this https://hutonggames.com/playmakerforum/index.php?topic=21157.msg92847#msg92847 in short:
I delete PlayMakerPhotonWizard.cs and it's working now.
But Jean said:
Quote
Hi,

You likely haven't installed pun 2 package, but pun classic (v1).

 Bye,

 Jean
Now i'm confused cuz i was sure that i imported pun 2 from asset store and then pun 2 from eco, so i created new project PM>eco>From asset store:https://assetstore.unity.com/packages/tools/network/pun-2-free-119922>from eco:


and i still get same error so maybe PM pun2 have some files from pun1?

I'm concerned about deleting PlayMakerPhotonWizard.cs. Can this create some errors in future or maybe this file shouldn't be in package?

Also i tried start with pun classic but i cant find pun 1/classic on eco, only this:

And manual link from here https://hutonggames.fogbugz.com/default.asp?W928 (PlayMakerPUN.unitypackage) is getting me 404.





« Last Edit: October 01, 2019, 05:02:20 AM by Raika »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15443
  • Official Playmaker Support
    • View Profile
Re: Pun classic/pun 2 errors, ecosystem search issue.
« Reply #1 on: October 01, 2019, 03:58:09 AM »
Hi,

 yes, I was wrong, there was something to fix, please update from the ecosystem ( use the 2017 version).

 Bye,

 Jean